Environments
List environments
GET
/
v1
/
environments
List environments
curl --request GET \
--url https://api.veri.studio/v1/environments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/environments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"latest_version": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"version": {
"object": "<string>",
"environment_id": "<string>",
"version": 123,
"spec": {
"harness": "<string>",
"model": {
"deployment_id": "<string>",
"base_url": "<string>",
"secret": "<string>"
},
"size": "<string>",
"egress": "<string>",
"allowed_hosts": [
"<string>"
],
"env": {},
"secrets": [
"<string>"
],
"mcp_servers": [
{
"name": "<string>",
"url": "<string>",
"secret": "<string>"
}
],
"skills": [
{
"name": "<string>",
"version": 123
}
],
"permissions": {
"default": "<string>",
"rules": [
{
"tool": "<string>",
"action": "<string>"
}
]
},
"idle_timeout_s": 123
},
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"description": "<string>"
}
],
"has_more": true
}List environments
curl --request GET \
--url https://api.veri.studio/v1/environments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/environments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"latest_version": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"version": {
"object": "<string>",
"environment_id": "<string>",
"version": 123,
"spec": {
"harness": "<string>",
"model": {
"deployment_id": "<string>",
"base_url": "<string>",
"secret": "<string>"
},
"size": "<string>",
"egress": "<string>",
"allowed_hosts": [
"<string>"
],
"env": {},
"secrets": [
"<string>"
],
"mcp_servers": [
{
"name": "<string>",
"url": "<string>",
"secret": "<string>"
}
],
"skills": [
{
"name": "<string>",
"version": 123
}
],
"permissions": {
"default": "<string>",
"rules": [
{
"tool": "<string>",
"action": "<string>"
}
]
},
"idle_timeout_s": 123
},
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"description": "<string>"
}
],
"has_more": true
}
